package com.willalp.yiqing.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.willalp.common.annotation.Excel;
import com.willalp.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 派单记录对象 hs_yiqing_orders_log
 *
 * @author willalp
 * @date 2022-05-24
 */

@TableName("hs_yiqing_orders_log")
public class HsOrdersLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId
    private String id;

    /** 操作日期 */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @Excel(name = "操作日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date dateline;

    /** 派单日期 */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @Excel(name = "派单日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date ordersTime;

    /** 天数 */
    @Excel(name = "天数")
    private String days;

    /** 核酸结果 */
    @Excel(name = "核酸结果")
    private String rnsResult;

    /** 是否删除（0.未删除；1.已删除） */
    @TableLogic
    private Integer isDelete;

    public void setId(String id)
    {
        this.id = id;
    }

    public String getId()
    {
        return id;
    }
    public void setDateline(Date dateline)
    {
        this.dateline = dateline;
    }

    public Date getDateline()
    {
        return dateline;
    }
    public void setOrdersTime(Date ordersTime)
    {
        this.ordersTime = ordersTime;
    }

    public Date getOrdersTime()
    {
        return ordersTime;
    }
    public void setDays(String days)
    {
        this.days = days;
    }

    public String getDays()
    {
        return days;
    }
    public void setRnsResult(String rnsResult)
    {
        this.rnsResult = rnsResult;
    }

    public String getRnsResult()
    {
        return rnsResult;
    }
    public void setIsDelete(Integer isDelete)
    {
        this.isDelete = isDelete;
    }

    public Integer getIsDelete()
    {
        return isDelete;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("dateline", getDateline())
            .append("ordersTime", getOrdersTime())
            .append("days", getDays())
            .append("rnsResult", getRnsResult())
            .append("isDelete", getIsDelete())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
